Bug 527045 - file-roller crashes on extract to sftp
Summary: file-roller crashes on extract to sftp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-03 17:01 UTC by Paul W. Frields
Modified: 2015-03-03 22:41 UTC (History)
2 users (show)

Fixed In Version: file-roller-2.30.1.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-31 18:24:23 UTC


Attachments (Terms of Use)
Backtrace from file-roller crash on extract to sftp (15.01 KB, text/plain)
2009-10-03 17:01 UTC, Paul W. Frields
no flags Details

Description Paul W. Frields 2009-10-03 17:01:05 UTC
Created attachment 363564 [details]
Backtrace from file-roller crash on extract to sftp

file-roller-2.28.0-1.fc12.x86_64

This may be related to bug 518510.  A backtrace is attached to help determine if that's the case.

I opened a .zip file, navigated down several subfolders, then right-clicked on the single file inside and chose "Extract...".  I then chose a mounted sftp location for the extraction point (and didn't change any of the default options for extraction).

Comment 1 Matthias Clasen 2009-10-05 14:22:42 UTC
I've asked Tomas to take a look at this.

Comment 2 Matthias Clasen 2009-10-13 17:59:16 UTC
Tomas, any update on this ?

Comment 3 Tomáš Bžatek 2009-10-14 16:17:33 UTC
Finally found the root issue - file-roller relies too much on gvfs fuse daemon, getting NULL local paths if not running. As long as it spawns external commands, this is understandable. Have to talk to file-roller developers how to handle this situation best, probably by disabling this functionality or by extracting to local temporary place and transferring to remote afterwards.

Comment 4 Tomáš Bžatek 2009-10-14 16:29:37 UTC
Related: https://bugzilla.gnome.org/show_bug.cgi?id=594624

Comment 5 Bug Zapper 2009-11-16 13:13:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2010-05-18 13:23:07 UTC
file-roller-2.28.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/file-roller-2.28.2-3.fc12

Comment 7 Fedora Update System 2010-05-18 13:23:59 UTC
file-roller-2.30.1.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/file-roller-2.30.1.1-3.fc13

Comment 8 Fedora Update System 2010-05-19 19:12:06 UTC
file-roller-2.30.1.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update file-roller'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/file-roller-2.30.1.1-3.fc13

Comment 9 Fedora Update System 2010-05-31 18:24:11 UTC
file-roller-2.30.1.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.